### Method

# Ide RecentProjects remove

#### Declaration

    void
    ide_recent_projects_remove (
      IdeRecentProjects* self,
      GList* project_infos
    )

#### Description

Removes the provided projects from the recent projects file.

Available since: | 3.32

#### Parameters

`project_infos` | A list of `IdeProjectInfo*`
| A `GList` of `IdeProjectInfo`.
| The data is owned by the caller of the function.